<?php
namespace Modules\Fornecimento\Modules\AutorizacaoFornecimento\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services\ProgressBarDataService;

class ProgressBarDataController {

    public function __construct(ProgressBarDataService $service) {
        $this->service = $service;
    }
    
    public function getProgressBarData(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $response->addDataSet(new DataSet('data', $this->service->getProgressBarData($row)));
    }
}